"""
Functions for resolving arbitration
Function name must match intervention type
"""
import logging
import time

from . import calls

logger = logging.getLogger("mediator")


def force_fail(url: str, wf_id: int):
    """
    Report whether force fail intervention succeeded or failed

    :return:
    """
    time.sleep(1)
    check_status = calls.get_request(url, wf_id)["state"]
    if check_status == "Failed":
        logger.info(f"Successfully failed workflow request #{wf_id}!")
        logger.info("Resolution complete!")
    else:
        logger.info("Unable to confirm state change. Please check the database.")


def submit(url: str, wf_id: int):
    """
    Report whether submit intervention succeeded or failed

    :return:
    """
    time.sleep(1)
    check_status = calls.get_request(url, wf_id)["state"]
    if check_status != "Created":
        logger.info(f"Successfully submitted workflow request #{wf_id}!")
        logger.info("Resolution complete!")
    else:
        logger.info("Unable for confirm state change. Please check the database.")
